"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CrateDBRunner = void 0;
const testcontainers_1 = require("testcontainers");
const db_runner_abstract_1 = require("./db-runner.abstract");
class CrateDBRunner extends db_runner_abstract_1.DbRunnerAbstract {
    static startContainer(options) {
        const version = process.env.TEST_CRATE_DB_VERSION || '5.0.0';
        const container = new testcontainers_1.GenericContainer(`crate/crate:${version}`)
            .withExposedPorts(5432)
            .withStartupTimeout(10 * 1000);
        if (options.volumes) {
            const binds = options.volumes.map(v => ({ source: v.source, target: v.target, mode: v.bindMode }));
            container.withBindMounts(binds);
        }
        return container.start();
    }
}
exports.CrateDBRunner = CrateDBRunner;
//# sourceMappingURL=crate.js.map