"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OracleDBRunner = void 0;
const testcontainers_1 = require("testcontainers");
const db_runner_abstract_1 = require("./db-runner.abstract");
class OracleDBRunner extends db_runner_abstract_1.DbRunnerAbstract {
    static startContainer(options) {
        const version = process.env.TEST_ORACLE_VERSION || options.version || '23.4.0';
        const container = new testcontainers_1.GenericContainer(`gvenzl/oracle-free:${version}`)
            .withEnvironment({
            ORACLE_PASSWORD: 'test'
        })
            .withWaitStrategy(testcontainers_1.Wait.forLogMessage('DATABASE IS READY TO USE'))
            .withExposedPorts(1521);
        if (options.volumes) {
            const binds = options.volumes.map(v => ({ source: v.source, target: v.target, mode: v.bindMode }));
            container.withBindMounts(binds);
        }
        return container.start();
    }
}
exports.OracleDBRunner = OracleDBRunner;
//# sourceMappingURL=oracle.js.map